# Random Audio Stream Player Nodes for Godot Engine

![Random Audio Stream Player Icon](icon.png "Random Audio Stream Player Icon")


This plugin will add Random Audio Stream Player Nodes (standard, 2D and 3D) 
that can be used as normal Audio Stream Player Nodes with the added ability to 
play randomly audio from an array of audio streams with the possibility to 
choose the random strategy and to randomize the volume and the pitch. 


# Install

This is a Godot Engine project that can be imported in godot and features a 
demo using a Random Audio Stream Player 3D to play randomly walking sound 
effects from an array of 8 possible sounds. (Sounds are made by me, Tim Krief 
and are licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 
4.0 International License.)

To use the plugin in your own project you can copy all the files in `addons/` to the 
`addons/` folder of your project and enable the plugin in Godot. Complete 
instructions are available here: [Installing plugins (GodotDocs)](https://docs.godotengine.org/en/stable/tutorials/plugins/editor/installing_plugins.html)

The add-on is also [available in the Godot Asset Library](https://godotengine.org/asset-library/asset/651) that can be accessed directly from the Engine as shown in [the demonstration video I've made](https://youtu.be/h8B3ET5xnss?t=162).

# Why and how to use this add-on?

I have made a video about this add-ons, its purpose and an example showing you how it can be used, you can watch it [here](https://youtu.be/h8B3ET5xnss).

# Notes

Made for the great [Godot Engine](https://godotengine.org/):

> Godot provides a huge set of common tools, so you can just focus on making your game without reinventing the wheel.
> Godot is completely free and open-source under the very permissive MIT license. No strings attached, no royalties, nothing. Your game is yours, down to the last line of engine code. 

Tested on Godot Engine v3.2.1.stable.official

Icons are derived from the [AudioStreamPlayer](https://github.com/godotengine/godot/blob/3.2.1-stable/editor/icons/icon_audio_stream_player.svg), [AudioStreamPlayer2D](https://github.com/godotengine/godot/blob/3.2.1-stable/editor/icons/icon_audio_stream_player_2_d.svg) and [AudioStreamPlayer3D](https://github.com/godotengine/godot/blob/3.2.1-stable/editor/icons/icon_audio_stream_player_3_d.svg) icons from Godot Engine

# Support Development

**Support me and get to vote on what I should work on!**
- Choose your tier on [Patreon](https://patreon.com/timkrief) and get some perks
- Or just make a one-time support on [Ko-fi](https://ko-fi.com/timkrief)

*More info: [support.timkrief.com](https://support.timkrief.com)*
